Name:           kannel
Version:        1.4.5
Release:        2%{?dist}
Summary:        WAP and SMS gateway
License:        BSD
URL:            https://www.kannel.org/

Group:		System Environment/Daemons
BuildArch:      x86_64
Source0:        https://www.kannel.org/download/%{version}/gateway-%{version}.tar.gz
Source1:	kannel.conf
Source2:	kannel.logrotate
Source3:	kannel.init
Source4:	kannel.service
Patch0:		gateway-%{version}.patch.gz

BuildRequires: gcc, gcc-c++, flex, make, openssl-devel, libxml2-devel,
BuildRequires: libcurl-devel, libuuid-devel, mariadb-devel
#Requires:

%description
Kannel is a gateway for connecting WAP (Wireless Application Protocol) phones
to the Internet. It also works as an SMS/SMPP gateway, for providing SMS based
services for GSM phones.

Compiled with ssl and native malloc.

%package devel
Summary: Development files for the Kannel WAP and SMS gateway
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Provides: %{name}-static = %{version}-%{release}

%description devel
Kannel is a gateway for connecting WAP (Wireless Application Protocol) phones
to the Internet. It also works as an SMS/SMPP gateway, for providing SMS based
services for GSM phones.

Install this package if you need to develop or recompile applications that
use the Kannel WAP and SMS gateway.


%package docs
Summary: Documentation for the Kannel WAP and SMS gateway
Group: Documentation
%if 0%{?fedora} > 9 || 0%{?rhel} > 5
BuildArch: noarch
%endif

%description docs
Kannel is a gateway for connecting WAP (Wireless Application Protocol) phones
to the Internet. It also works as an SMS/SMPP gateway, for providing SMS based
services for GSM phones.

This package contains documentation for the Kannel WAP and SMS gateway.


%prep
%setup -q -n gateway-%{version}
%patch0 -p1


%build
%configure --enable-start-stop-daemon --with-mysql
%{__make}


%install
rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
# Default configuration file
%{__install} -D -m 0640 %{SOURCE1} %{buildroot}%{_sysconfdir}/kannel.conf
# Logrotate entry
%{__install} -D -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/kannel
# Init script
%{__install} -D -m 0755 %{SOURCE3} %{buildroot}%{_bindir}/kannel
# Rename start-stop-daemon to start-stop-kannel
%{__mv} %{buildroot}%{_sbindir}/start-stop-daemon \
        %{buildroot}%{_sbindir}/start-stop-kannel
# Install systemd service
%{__install} -D -m 0644 %{SOURCE4} %{buildroot}/%{_usr}/lib/systemd/system/kannel.service
# Empty log directory
%{__mkdir_p} %{buildroot}%{_var}/log/kannel/
# Empty spool directory
%{__mkdir_p} %{buildroot}%{_var}/spool/kannel/
%{__chmod} -c -x %{buildroot}%{_mandir}/man?/*


%clean
%{__rm} -rf %{buildroot}


%pre
# Create system account
/usr/sbin/useradd -c "Kannel WAP and SMS gateway" -r -M -s '' \
    -d %{_var}/lib/kannel kannel &>/dev/null || :


%post


%preun
if [ $1 -eq 0 ]; then
    # Last removal, stop service and remove it
    /bin/systemctl disable --now kannel.service &>/dev/null || :
fi

%postun
if [ $1 -ge 1 ]; then
    /bin/systemctl enable --now kannel.service &>/dev/null || :
fi



%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README STATUS
%attr(0640,kannel,kannel) %config(noreplace) %{_sysconfdir}/kannel.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/kannel
%{_bindir}/decode_emimsg
%{_bindir}/mtbatch
%{_bindir}/seewbmp
%{_bindir}/wmlsc
%{_bindir}/wmlsdasm
%{_bindir}/kannel
%{_sbindir}/*
%{_mandir}/man?/*
%{_usr}/lib/systemd/system/kannel.service
%attr(0750,kannel,kannel) %dir %{_var}/log/kannel/
%attr(0750,kannel,kannel) %dir %{_var}/spool/kannel/

%files devel
%defattr(-,root,root,-)
%{_bindir}/gw-config*
%{_includedir}/kannel/
%dir %{_libdir}/kannel/
%{_libdir}/kannel/*.a


#%license add-license-file-here

#%doc add-docs-here

%changelog
* Mon Mar 20 2023 GIRAUD Sebastien <sebastien.giraud@smile.ci>
- Add MySQL backend support
* Mon Mar 13 2023 GIRAUD Sebastien <sebastien.giraud@smile.ci>
- First package release 
